# AIS_StatusOfDetection.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | AIS_StatusOfDetection { AIS_SOD_Error, AIS_SOD_Nothing, AIS_SOD_AllBad, AIS_SOD_Selected, AIS_SOD_OnlyOneDetected, AIS_SOD_OnlyOneGood, AIS_SOD_SeveralGood }

## Enumeration Type Documentation

enum AIS_StatusOfDetection

Enumeration values:

  AIS_SOD_Error |
  AIS_SOD_Nothing |
  AIS_SOD_AllBad |
  AIS_SOD_Selected |
  AIS_SOD_OnlyOneDetected |
  AIS_SOD_OnlyOneGood |
  AIS_SOD_SeveralGood |